import { withInstall as g } from "@das-fed/utils/with-install/index";
import { defineComponent as k, ref as d, createBlock as v, openBlock as z, unref as e, withCtx as n, createElementVNode as l, toDisplayString as a, createVNode as m, createTextVNode as c } from "vue";
import { DasDialog as D } from "@das-fed/ui/packages/components/dialog/index";
import { DasButton as f } from "@das-fed/ui/packages/components/button/index";
import { t, setI18nRule as N } from "@das-fed/web/packages/i18n/index";
const b = { class: "tips" }, x = { class: "tips" }, w = /* @__PURE__ */ k({
  __name: "App",
  emits: ["confirm", "cancel"],
  setup(A, { expose: p, emit: u }) {
    const s = u, o = d(!1), C = () => {
      o.value = !0;
    }, i = () => {
      o.value = !1;
    }, _ = () => {
      s("confirm"), i();
    }, h = () => {
      s("cancel"), i();
    };
    return p({
      open: C,
      close: i
    }), (B, r) => (z(), v(e(D), {
      size: "mini",
      title: e(t)("操作确认"),
      customClass: "portal-management-update-dialog",
      modelValue: o.value,
      "onUpdate:modelValue": r[0] || (r[0] = (y) => o.value = y),
      type: "feedback",
      "feed-type": "warning"
    }, {
      footer: n(() => [
        l("div", null, [
          m(e(f), {
            size: "middle",
            onClick: h
          }, {
            default: n(() => [
              c(
                a(e(t)("稍后")),
                1
                /* TEXT */
              )
            ]),
            _: 1
            /* STABLE */
          }),
          m(e(f), {
            btnType: "primary",
            block: "",
            size: "middle",
            style: { "margin-left": "12px" },
            onClick: _
          }, {
            default: n(() => [
              c(
                a(e(t)("立即生效")),
                1
                /* TEXT */
              )
            ]),
            _: 1
            /* STABLE */
          })
        ])
      ]),
      default: n(() => [
        l(
          "div",
          b,
          a(e(t)("生效后，即刷新系统，关闭已打开的功能页签")),
          1
          /* TEXT */
        ),
        l(
          "div",
          x,
          a(e(t)("确定要立即生效吗？")),
          1
          /* TEXT */
        )
      ]),
      _: 1
      /* STABLE */
    }, 8, ["title", "modelValue"]));
  }
}), V = {
  操作确认: { "zh-CN": "操作确认", en: "Operation Confirmation" },
  "生效后，即刷新系统，关闭已打开的功能页签": {
    "zh-CN": "生效后，即刷新系统，关闭已打开的功能页签",
    en: "After taking effect, the system will be refreshed, and the opened feature tabs will be closed."
  },
  "确定要立即生效吗？": {
    "zh-CN": "确定要立即生效吗？",
    en: "Are you sure you want to take effect immediately?"
  },
  稍后: { "zh-CN": "稍后", en: "Later" },
  立即生效: { "zh-CN": "立即生效", en: "Take Effect Immediately" }
};
N(V);
const L = g(w), O = () => d(null), S = { title: "确认是否立即生效组件" };
export {
  L as DasUpdateConfirmDialog,
  O as DasUpdateConfirmDialogRef,
  S as default
};
